summaryrefslogtreecommitdiffstats
path: root/games/glest-megapack
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-12 23:29:21 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:21 +0200
commit55655a60b15221ab7bcf5d185ee603a3a682cd1d (patch)
treed82ca1f08b688b9e25bad4f00bee9aaa828fbab5 /games/glest-megapack
parente2bfa42e070e28654172a2920619b29743b72baa (diff)
downloadslackbuilds-55655a60b15221ab7bcf5d185ee603a3a682cd1d.tar.gz
slackbuilds-55655a60b15221ab7bcf5d185ee603a3a682cd1d.tar.xz
games/glest-megapack: Added to 12.2 repository
Diffstat (limited to 'games/glest-megapack')
-rw-r--r--games/glest-megapack/README5
-rw-r--r--games/glest-megapack/glest-megapack.SlackBuild56
-rw-r--r--games/glest-megapack/glest-megapack.info8
-rw-r--r--games/glest-megapack/slack-desc19
4 files changed, 88 insertions, 0 deletions
diff --git a/games/glest-megapack/README b/games/glest-megapack/README
new file mode 100644
index 0000000000..504a5274b6
--- /dev/null
+++ b/games/glest-megapack/README
@@ -0,0 +1,5 @@
+Mods for glest - separate megapack techtree with additional
+factions (Indian, Norsemen, Persian), tilesets, scenarios
+and maps.
+
+Requires: p7zip and glest. \ No newline at end of file
diff --git a/games/glest-megapack/glest-megapack.SlackBuild b/games/glest-megapack/glest-megapack.SlackBuild
new file mode 100644
index 0000000000..c0a049e224
--- /dev/null
+++ b/games/glest-megapack/glest-megapack.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for glest-megapack
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=glest-megapack
+VERSION=${VERSION:-v4}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCNAM=$(echo "${PRGNAM}" | cut -d "-" -f2)
+SRCNAM2=$(echo "${PRGNAM}" | cut -d "-" -f1)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${SRCNAM}_${VERSION}
+7z x $CWD/${SRCNAM}_${VERSION}.7z
+cd ${SRCNAM}_${VERSION}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/$SRCNAM2
+cp -ar $SRCNAM2/* $PKG/usr/share/$SRCNAM2/
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/glest-megapack/glest-megapack.info b/games/glest-megapack/glest-megapack.info
new file mode 100644
index 0000000000..2235268661
--- /dev/null
+++ b/games/glest-megapack/glest-megapack.info
@@ -0,0 +1,8 @@
+PRGNAM="glest-megapack"
+VERSION="v4"
+HOMEPAGE="http://www.titusgames.de/"
+DOWNLOAD="http://www.titusgames.de/megapack_v4.7z"
+MD5SUM="946057d45ff2dcbd60117dbdd008d307"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="dsomero"
diff --git a/games/glest-megapack/slack-desc b/games/glest-megapack/slack-desc
new file mode 100644
index 0000000000..6a1a1cc338
--- /dev/null
+++ b/games/glest-megapack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+glest-megapack: glest-megapack (Additional faction, maps, and tilesets for glest)
+glest-megapack:
+glest-megapack: Mod for glest - separate megapack techtree with additional factions
+glest-megapack: (Indian, Norsemen, Persian), tilesets, scenarios and maps.
+glest-megapack:
+glest-megapack: Homepage: http://www.titusgames.de/
+glest-megapack:
+glest-megapack:
+glest-megapack:
+glest-megapack:
+glest-megapack: